import { Hex } from 'viem';
export * from './abi';
/**
 * The eco protocol chain configuration type. Represents
 * all the deployed contracts on a chain.
 *
 * @packageDocumentation
 * @module index
 */
export type EcoChainConfig = {
    Prover?: Hex;
    IntentSource: Hex;
    Inbox: Hex;
    HyperProver: Hex;
};
/**
 * The chain ids for the eco protocol
 *
 * @packageDocumentation
 * @module index
 */
export type EcoChainIds = "5003" | "84532" | "421614" | "11155420" | "421614-pre" | "84532-pre" | "11155420-pre" | "5003-pre";
/**
 * This file contains the addresses of the contracts deployed on the EcoProtocol network
 * for the current npm package release. The addresses are generated by the deploy script.
 *
 * @packageDocumentation
 * @module index
*/
export declare const EcoProtocolAddresses: Record<EcoChainIds, EcoChainConfig>;
